> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve a vendor document (US3)

> Approve a vendor document (US3)



## OpenAPI

````yaml /openapi/openapi_location_admin.json put /commerce/vendors/{vendorCode}/documents/{templateId}/approve
openapi: 3.0.1
info:
  description: |-
    <div id="overview_LOCATION_ADMIN">
                <h2>LOCATION ADMINISTRATION</h2>
                <p>The Location and Location Groups APIs enable tenants to associate a physical address with product inventory,
                    provide a store finder for in-store pickup, or both and manage these locations at individual and group levels. See the
                    <a href="/pages/locations">Location user guides</a>
                    for information about the related feature in the Unified Commerce Admin.</p>
                <p>The <strong>Location Admin</strong>
                    resource
                    allows information about the individual locations to be accessed and edited, including creating new
                    locations.</p>
                <p>Use the <strong>Location Group</strong> and <strong>Location Group Configuration</strong> resources to manage groups, or sets of similar fulfillment locations that are bundled together
                    to improve efficiency of managing configurations based on catalogs, custom fulfillment flows,
                    available carrier options, and so forth.</p>
                <p>Use the <strong>Location Types</strong> resource to manage the types of locations your tenant maintains, such as
                    warehouses,
                    physical storefronts, and kiosks.</p>
                <p>Use the <strong>Location Settings</strong> resource to to define the available usages; or the locations and
                        location types that interact
                        with a specified site.</p>
            </div>
  title: Location Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/vendors/{vendorCode}/documents/{templateId}/approve:
    put:
      tags:
        - Vendor
      summary: Approve a vendor document (US3)
      description: Approve a vendor document (US3)
      parameters:
        - in: path
          name: vendorCode
          required: true
          schema:
            type: string
        - in: path
          name: templateId
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VendorDocumentApprovalRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VendorDocument'
            text/json:
              schema:
                $ref: '#/components/schemas/VendorDocument'
            text/plain:
              schema:
                $ref: '#/components/schemas/VendorDocument'
          description: OK
components:
  schemas:
    VendorDocumentApprovalRequest:
      properties:
        comments:
          nullable: true
          type: string
        reviewedBy:
          nullable: true
          type: string
      type: object
    VendorDocument:
      properties:
        auditHistory:
          items:
            $ref: '#/components/schemas/DocumentAuditEntry'
          nullable: true
          type: array
        auditInfo:
          $ref: '#/components/schemas/ApiContractsAuditInfo'
        contentType:
          nullable: true
          type: string
        fileName:
          nullable: true
          type: string
        fileSizeBytes:
          format: int64
          type: integer
        id:
          nullable: true
          type: string
        rejectionReason:
          nullable: true
          type: string
        status:
          $ref: '#/components/schemas/DocumentStatus'
        templateId:
          nullable: true
          type: string
        vendorCode:
          nullable: true
          type: string
      type: object
    DocumentAuditEntry:
      properties:
        action:
          nullable: true
          type: string
        actorId:
          nullable: true
          type: string
        newStatus:
          $ref: '#/components/schemas/DocumentStatus'
        notes:
          nullable: true
          type: string
        previousStatus:
          $ref: '#/components/schemas/DocumentStatus'
        timestamp:
          format: date-time
          type: string
      type: object
    ApiContractsAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    DocumentStatus:
      enum:
        - 0
        - 1
        - 2
        - 3
      format: int32
      type: integer
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````